class: Workflow
cwlVersion: v1.0
id: compress_pipeline_cwl
label: compress_pipeline.cwl
$namespaces:
  sbg: 'https://www.sevenbridges.com/'
inputs:
  - id: flag_autocorrelation
    type: boolean?
    'sbg:x': -41
    'sbg:y': -212
  - id: surls
    type: 'string[]'
    'sbg:x': -229
    'sbg:y': -29
outputs:
  - id: output
    outputSource:
      - inspect_flagging_dataloss/output
    type: File[]
    'sbg:x': 568.6015625
    'sbg:y': 213.5
  - id: logfile
    outputSource:
      - dppp/logfile
    type:
      type: array
      items:
        type: array
        items: File
    'sbg:x': 682.6015625
    'sbg:y': 48.5
  - id: msout
    outputSource:
      - dppp/msout
    type: Directory[]
    'sbg:x': 738.6015625
    'sbg:y': -130.5
steps:
  - id: surl_copy
    in:
      - id: surl
        source: surls
    out:
      - id: output
    run: steps/surl_copy.cwl
    label: surl_copy
    scatter:
      - surl
    'sbg:x': 14
    'sbg:y': -28
  - id: untar
    in:
      - id: tar_file
        source: surl_copy/output
    out:
      - id: uncompressed
    run: steps/untar.cwl
    label: untar
    scatter:
      - tar_file
    'sbg:x': 173
    'sbg:y': -28
  - id: dppp
    in:
      - id: parset
        source: define_parset/output
      - id: msin
        source: untar/uncompressed
      - id: msout_name
        source: untar/uncompressed
        valueFrom: $("COMPRESSED_" + self.basename)
      - id: writefullresflag
        default: true
      - id: storagemanager
        default: Dysco
      - id: databitrate
        default: 10
    out:
      - id: msout
      - id: logfile
    run: steps/DPPP.cwl
    scatter:
      - msin
    'sbg:x': 471
    'sbg:y': -75
  - id: define_parset
    in:
      - id: flag_autocorrelation
        source: flag_autocorrelation
    out:
      - id: output
    run: steps/define_parset.cwl
    label: define_parset
    'sbg:x': 196
    'sbg:y': -227
  - id: inspect_flagging_dataloss
    in:
      - id: input
        source: untar/uncompressed
    out:
      - id: output
    run: steps/inspect_flagging_dataloss.cwl
    label: inspect_flagging_dataloss
    scatter:
      - input
    'sbg:x': 397
    'sbg:y': 132
requirements:
  - class: ScatterFeatureRequirement
  - class: StepInputExpressionRequirement
  - class: InlineJavascriptRequirement
